LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 06-21-2011, 09:35 AM   #1
sarahf60
LQ Newbie
 
Registered: Feb 2010
Posts: 20

Rep: Reputation: 1
problem in installing pgplot


Hi,
I tried to install the pgplot, and I faced this error:

X11/Xlib.h: No such file or directory

to solve this, I did this:

sudo apt-get install libx11-dev

but I face the other error which is:

f77 -c -u /usr/local/src/pgplot/drivers/gidriv.f
gidriv:
Error on line 247: syntax error
Warning on line 260: there is a branch to label 120 from outside block
Error on line 265: syntax error
Warning on line 271: there is a branch to label 130 from outside block
Error on line 274: syntax error
Warning on line 280: there is a branch to label 140 from outside block
Error on line 287: syntax error
Warning on line 303: there is a branch to label 150 from outside block
Warning on line 311: there is a branch to label 160 from outside block
Warning on line 317: there is a branch to label 170 from outside block
Warning on line 323: there is a branch to label 180 from outside block
Warning on line 329: there is a branch to label 190 from outside block
Warning on line 335: there is a branch to label 200 from outside block
Warning on line 340: there is a branch to label 210 from outside block
Warning on line 350: there is a branch to label 220 from outside block
Warning on line 356: there is a branch to label 230 from outside block
Warning on line 361: there is a branch to label 240 from outside block
Error on line 366: syntax error
Warning on line 372: there is a branch to label 250 from outside block
Warning on line 377: there is a branch to label 260 from outside block
Error on line 378: syntax error
Warning on line 383: there is a branch to label 270 from outside block
Warning on line 388: there is a branch to label 280 from outside block
Warning on line 393: there is a branch to label 290 from outside block
Error on line 401: DO loop or BLOCK IF not closed
Warning on line 401: local variable grgi01 never used
Warning on line 401: local variable grgi03 never used
Warning on line 401: local variable grgi04 never used
Warning on line 401: local variable grgi06 never used
grgi01:
grgi03:
grgi04:
grgi06:
grgi07:
grgi08:
grgi09:
grgi10:
/usr/bin/f77: aborting compilation
make: *** [gidriv.o] Error 25

How could I solve this.
Thanks in advance
 
Old 06-21-2011, 11:53 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,522

Rep: Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503Reputation: 2503
Installing pgplot : sudo apt-get install pgplot5
http://packages.ubuntu.com/search?se...eywords=pgplot
http://packages.ubuntu.com/natty/pgplot5



Building pgplot: Get the dependencies: sudo apt-get build-dep pgplot5
http://packages.ubuntu.com/source/natty/pgplot5
( I'd guess, you miss some of the listed packages.)


1) Building manually : Use the patch ..
http://archive.ubuntu.com/ubuntu/poo...2.2-17.diff.gz
zcat pgplot5_5.2.2-17.diff.gz | patch -p1

2) Building a package : apt-get -b source pgplot5=5.2.2-17
.. Which will build e.g. pgplot5_5.2.2-17_i386.deb in the current directory.

..
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
A Problem with PGPLOT. msbstar Linux - Newbie 1 03-06-2011 08:13 AM
[SOLVED] Some problem on installing pgplot on Linux (error on X11) lengyue Linux - Newbie 4 12-13-2010 09:03 PM
pgplot problem sarahf60 Linux - Newbie 17 08-15-2010 12:43 PM
pgplot problem sarahf60 Linux - Newbie 5 02-25-2010 07:11 PM


All times are GMT -5. The time now is 06:41 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration